curl 'https://api.serialized.xyz/v1/wallet/pnl?wallet=0x95d955179a7cd45aeef394ed39f6a8d8b1bd1e09&period=7d' \
-H 'Authorization: YOUR_API_KEY'
{
"data": {
"history": [
{
"at": 1786492800000,
"realizedPnlUsd": -57.868301494900045,
"trades": 6
},
{
"at": 1786579200000,
"realizedPnlUsd": 0,
"trades": 2
},
{
"at": 1786665600000,
"realizedPnlUsd": 507.4615763179921,
"trades": 6
},
{
"at": 1786752000000,
"realizedPnlUsd": 1900.1094972529686,
"trades": 6
},
{
"at": 1786838400000,
"realizedPnlUsd": 9.532610944253003,
"trades": 6
},
{
"at": 1786924800000,
"realizedPnlUsd": 17.12492628880112,
"trades": 7
},
{
"at": 1787011200000,
"realizedPnlUsd": 0,
"trades": 5
},
{
"at": 1787097600000,
"realizedPnlUsd": 305.4557835542363,
"trades": 5
}
],
"summary": {
"realizedPnlUsd": 2681.816092863351,
"winRate": 90.47619047619048,
"trades": 43,
"wins": 19,
"losses": 2
}
},
"meta": {
"asOf": 1787163134665
}
}
Wallet PnL
Wallet PnL
Realized PnL of a wallet: PnL curve (daily buckets on 30d and all, hourly on 1d and 7d) plus summary (total realized, win rate, trades, wins/losses). Omit chain to combine every EVM chain; chain=solana for Solana.
GET
/
v1
/
wallet
/
pnl
curl 'https://api.serialized.xyz/v1/wallet/pnl?wallet=0x95d955179a7cd45aeef394ed39f6a8d8b1bd1e09&period=7d' \
-H 'Authorization: YOUR_API_KEY'
{
"data": {
"history": [
{
"at": 1786492800000,
"realizedPnlUsd": -57.868301494900045,
"trades": 6
},
{
"at": 1786579200000,
"realizedPnlUsd": 0,
"trades": 2
},
{
"at": 1786665600000,
"realizedPnlUsd": 507.4615763179921,
"trades": 6
},
{
"at": 1786752000000,
"realizedPnlUsd": 1900.1094972529686,
"trades": 6
},
{
"at": 1786838400000,
"realizedPnlUsd": 9.532610944253003,
"trades": 6
},
{
"at": 1786924800000,
"realizedPnlUsd": 17.12492628880112,
"trades": 7
},
{
"at": 1787011200000,
"realizedPnlUsd": 0,
"trades": 5
},
{
"at": 1787097600000,
"realizedPnlUsd": 305.4557835542363,
"trades": 5
}
],
"summary": {
"realizedPnlUsd": 2681.816092863351,
"winRate": 90.47619047619048,
"trades": 43,
"wins": 19,
"losses": 2
}
},
"meta": {
"asOf": 1787163134665
}
}
GET /v1/wallet/pnl · 1 credit
Realized PnL of a wallet: PnL curve (daily buckets on 30d and all, hourly on 1d and 7d) plus summary (total realized, win rate, trades, wins/losses). Omit chain to combine every EVM chain; chain=solana for Solana.
Solana responses carry
usdBasis trade: realized PnL is valued at the SOL price at the time of each sale, the same figures as the wallet’s positions. EVM PnL is valued at the current native price.period keeps the UTC days from now minus that many days through today, both inclusive: 7d spans 8 calendar days, 1d yesterday and today, all the whole history.curl 'https://api.serialized.xyz/v1/wallet/pnl?wallet=0x95d955179a7cd45aeef394ed39f6a8d8b1bd1e09&period=7d' \
-H 'Authorization: YOUR_API_KEY'
{
"data": {
"history": [
{
"at": 1786492800000,
"realizedPnlUsd": -57.868301494900045,
"trades": 6
},
{
"at": 1786579200000,
"realizedPnlUsd": 0,
"trades": 2
},
{
"at": 1786665600000,
"realizedPnlUsd": 507.4615763179921,
"trades": 6
},
{
"at": 1786752000000,
"realizedPnlUsd": 1900.1094972529686,
"trades": 6
},
{
"at": 1786838400000,
"realizedPnlUsd": 9.532610944253003,
"trades": 6
},
{
"at": 1786924800000,
"realizedPnlUsd": 17.12492628880112,
"trades": 7
},
{
"at": 1787011200000,
"realizedPnlUsd": 0,
"trades": 5
},
{
"at": 1787097600000,
"realizedPnlUsd": 305.4557835542363,
"trades": 5
}
],
"summary": {
"realizedPnlUsd": 2681.816092863351,
"winRate": 90.47619047619048,
"trades": 43,
"wins": 19,
"losses": 2
}
},
"meta": {
"asOf": 1787163134665
}
}
Authorizations
Your raw API key (not needed on the demo server).
Query Parameters
Wallet address (EVM hex, case-insensitive; Solana base58).
Public chain id. Omit for all EVM chains combined.
1d, 7d, 30d (default) or all. A period keeps the UTC days from now minus that many days through today, both inclusive: 7d spans 8 calendar days, 1d yesterday and today.
Available options:
1d, 7d, 30d, all Response
200
Standard { data, meta } envelope.